## xarchiver 0.4.6-7fremantle4

=== debian/changelog ===
xarchiver (0.4.6-7fremantle4) fremantle; urgency=low

  * Fixed category

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 13 Apr 2010 23:41:10 +0300
