## xarchiver 0.4.6-7fremantle5

=== debian/changelog ===
xarchiver (0.4.6-7fremantle5) fremantle; urgency=low

  * Fixed postinst script

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Tue, 14 Apr 2010 05:20:27 +0300
