=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: xarchiver
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2:2.12.9-0osso1), libpango1.0-0, libpixman-1-0 (>= 0.14.0-9+0m5), libpng12-0 (>= 1.2.13-4), libx11-6, libxrender1, zlib1g (>= 1:1.2.1)
 Recommends: gnutar, gnuzip, bzip2, zip, unzip, unrar, arj, lha, p7zip, lzma
 Suggests: rar
 Description: GTK frontend for most used compression formats
@@ -21,7 +21,17 @@
  archives in the arj, 7z, rar, and zip formats are supported.
  .
  This is only a front-end. If you want to support a specific archive format,
- please install the appropiate packages (see Recomments: line).
+ please install the appropiate packages:
+ It is recommended to install the following packages:
+ .
+ gnutar - support for .tar archives
+ gnuzip - support for .gz, .tar.gz .tgz archives
+ zip or zip3 - support for creating .zip archives
+ unzip - support for unpacking .zip archives
+ unrar - support for unpacking .rar archives
+ arj - support for .arj archives
+ lha - support for .lha and .lzh archives
+ p7zip - support for .7z archives
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gHGxQmG1UVeQgAAAAjdEVYdENv
