=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/file-roller.sgml > file-roller.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/xarchiver.
	$(MAKE) DESTDIR=$(CURDIR)/debian/xarchiver install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install 

install/xarchiver::
	uudecode debian/xarchiver-26.b64 -o debian/xarchiver/usr/share/icons/hicolor/26x26/apps/xarchiver.png
	uudecode debian/xarchiver-40.b64 -o debian/xarchiver/usr/share/icons/hicolor/40x40/apps/xarchiver.png
	uudecode debian/xarchiver-64.b64 -o debian/xarchiver/usr/share/icons/hicolor/64x64/apps/xarchiver.png
	uudecode debian/application-x-cd-image-26.b64 -o debian/xarchiver/usr/share/icons/hicolor/26x26/mimetypes/application-x-cd-image.png
	uudecode debian/application-x-cd-image-48.b64 -o debian/xarchiver/usr/share/icons/hicolor/48x48/mimetypes/application-x-cd-image.png
	uudecode debian/application-x-cd-image-64.b64 -o debian/xarchiver/usr/share/icons/hicolor/64x64/mimetypes/application-x-cd-image.png

binary-post-install/xarchiver::
	mv -f debian/xarchiver/usr/share/doc/xarchiver/html debian/xarchiver/usr/share/xarchiver/html
	rm -rf debian/xarchiver/usr/share/doc/xarchiver
	rm -rf debian/xarchiver/usr/lib
	rm -rf debian/xarchiver/usr/share/doc
