## xarchiver 0.4.6-7fremantle6

=== debian/changelog ===
xarchiver (0.4.6-7fremantle6) fremantle; urgency=low

  * Apologies, application depends on non-free packages since users don't really read docs...
  * Application doesn't use the hildonized theme now, provides a much better UI, but needs a stylus.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 21 Jun 2010 03:08:51 +0300
