=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,10 @@
 
 	# Add here commands to install the package into debian/xarchiver.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/xarchiver install
-
+	cp $(CURDIR)/debian/runxarchiver $(CURDIR)/debian/xarchiver/usr/sbin/
+	cp $(CURDIR)/debian/xarchiver.desktop $(CURDIR)/debian/xarchiver/usr/share/applications/hildon
+	cp $(CURDIR)/debian/xarchiver/usr/share/icons/hicolor/48x48/apps/xarchiver.png $(CURDIR)/debian/xarchiver/usr/share/pixmaps
+	cp $(CURDIR)/debian/xarchiver.service $(CURDIR)/debian/xarchiver/usr/share/dbus-1/services/
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -100,6 +103,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
