## xarchiver 0.4.6-7fremantle7

=== debian/changelog ===
xarchiver (0.4.6-7fremantle7) fremantle; urgency=low

  * Added MurrinaNightOrange from the easy-deb-chroot. Thanks Qole!

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 23 Jun 2010 15:08:02 +0300
