=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#docbook-to-man debian/file-roller.sgml > file-roller.1
 
 	touch $@
 
@@ -67,9 +66,11 @@
 	# Add here commands to install the package into debian/xarchiver.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/xarchiver install
 	cp $(CURDIR)/debian/runxarchiver $(CURDIR)/debian/xarchiver/usr/sbin/
-	cp $(CURDIR)/debian/xarchiver.desktop $(CURDIR)/debian/xarchiver/usr/share/applications/hildon
 	cp $(CURDIR)/debian/xarchiver/usr/share/icons/hicolor/48x48/apps/xarchiver.png $(CURDIR)/debian/xarchiver/usr/share/pixmaps
 	cp $(CURDIR)/debian/xarchiver.service $(CURDIR)/debian/xarchiver/usr/share/dbus-1/services/
+	cp -a -r $(CURDIR)/MurrinaNightOrange/ $(CURDIR)/debian/xarchiver/usr/share/xarchiver/
+	cp $(CURDIR)/debian/xarchiver.xml $(CURDIR)/debian/xarchiver/usr/share/mime/packages/
+	cp $(CURDIR)/debian/xarchiver.desktop $(CURDIR)/debian/xarchiver/usr/share/applications/hildon
 
 # Build architecture-independent files here.
 binary-indep: build install
