## xarchiver 0.4.6-7maemo1

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: xarchiver
-Section: user/utilities
+Section: user/tools
 Priority: optional
-Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
+Maintainer: Andrew Zabolotny <zap@homelink.ru>
 XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>, Daniel Baumann <daniel@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), dpatch, autotools-dev, automake,
- sharutils, libgtk2.0-dev (>= 2.8), libhildon1-dev, libhildonfm2-dev,
- libosso-dev, libdbus-1-dev, maemo-optify
+Build-Depends: cdbs, debhelper (>= 5), dpatch, autotools-dev, libgtk2.0-dev (>= 2.8), sharutils, automake1.9
 Standards-Version: 3.7.3
 XSBC-Homepage: http://xarchiver.xfce.org/
 
 Package: xarchiver
 Architecture: any
-Depends: libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libglib2.0-0 (>= 2.20.0), libgtk2.0-0 (>= 2:2.12.9-0osso1), libpango1.0-0, libpixman-1-0 (>= 0.14.0-9+0m5), libpng12-0 (>= 1.2.13-4), libx11-6, libxrender1, zlib1g (>= 1:1.2.1), tar-gnu, zip, unzip, bzip2, unrar, p7zip, lzma
-Recommends: arj, lha
+Depends: ${shlibs:Depends}
+Recommends: gnutar, gnuzip, bzip2, zip, unzip, unrar, arj, lha, p7zip, lzma
+Suggests: rar
 Description: GTK frontend for most used compression formats
  Xarchiver is a Desktop Environment independent GTK+ 2 frontend for manipulating
  7z, arj, bzip2, gzip, rar, tar, zip, and RPM files. It allows you to create
@@ -20,17 +19,7 @@
  archives in the arj, 7z, rar, and zip formats are supported.
  .
  This is only a front-end. If you want to support a specific archive format,
- please install the appropiate packages:
- It is recommended to install the following packages:
- .
- gnutar - support for .tar archives
- gnuzip - support for .gz, .tar.gz .tgz archives
- zip or zip3 - support for creating .zip archives
- unzip - support for unpacking .zip archives
- unrar - support for unpacking .rar archives
- arj - support for .arj archives
- lha - support for .lha and .lzh archives
- p7zip - support for .7z archives
+ please install the appropiate packages (see Recomments: line).
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gHGxQmG1UVeQgAAAAjdEVYdENv
