## xarchiver 0.4.6-7maemo2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Andrew Zabolotny <zap@homelink.ru>
 XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>, Daniel Baumann <daniel@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), dpatch, autotools-dev, libgtk2.0-dev (>= 2.8), sharutils, automake1.9
+Build-Depends: cdbs, debhelper (>= 5), dpatch, autotools-dev, automake1.9,
+ sharutils, libgtk2.0-dev (>= 2.8), libhildon1-dev, libhildonfm2-dev,
+ libosso-dev, libdbus-1-dev
 Standards-Version: 3.7.3
 XSBC-Homepage: http://xarchiver.xfce.org/
